// src/components/Banner.js
import React, { useState, useEffect } from 'react';
import { Carousel, Row, Col } from 'react-bootstrap';

const Banner = ({ data }) => {
  const { images } = data;
  const [index, setIndex] = useState(0);

  const handleSelect = (selectedIndex, e) => {
    setIndex(selectedIndex);
  };

  useEffect(() => {
    const intervalId = setInterval(() => {
      setIndex((prevIndex) => (prevIndex + 1) % images.length);
    }, 2000);

    return () => clearInterval(intervalId);
  }, [images.length]);

  return (
    <Carousel
      activeIndex={index}
      onSelect={handleSelect}
      interval={null}
      className="carousel-slide"
    >
      {images.map((image, idx) => (
        <Carousel.Item key={idx}>
          <img
            className="d-block w-100"
            src={image.src}
            alt={`Slide ${idx}`}
            style={{ height: 'auto', objectFit: 'contain' }} // Adjust height and styling here
          />
          <Carousel.Caption>
            <Row className="justify-content-center align-items-center h-100">
              <Col className="text-center">
                {/* Your caption content */}
              </Col>
            </Row>
          </Carousel.Caption>
        </Carousel.Item>
      ))}
    </Carousel>
  );
};

export default Banner;
