// useCart.js
import { useState, useEffect } from 'react';

const useCart = () => {
  const [cartState, setCartState] = useState({
    // ... your initial cart state
  });

  const fetchCartDetails = async () => {
    try {
      const token = localStorage.getItem('token');
  
      const response = await fetch(`${process.env.REACT_APP_API_URL}/cart/cart-details`, {
        method: 'GET',
        headers: {
          Authorization: `Bearer ${token}`,
        },
      }); 
      

      if (response.ok) {
        const data = await response.json();
        setCartState(data);
      } else {
        console.error('Failed to fetch cart details');
      }
    } catch (error) {
      console.error('Error fetching cart details:', error);
    }
  };

  useEffect(() => {
    const token = localStorage.getItem('token');
    // Assuming you have user context and user.id
    const userId = ''; // Replace with the actual user.id from your user context

    if (userId && token) {
      fetchCartDetails(userId);
    }
  }, []); // The empty dependency array ensures that this effect runs only once when the component mounts

  return {
    state: cartState,
    fetchCartDetails,
    // ... other functions and state as needed
  };
};

export { useCart };
