import React from 'react';
import { createRoot } from 'react-dom';
import { Provider } from 'react-redux'; // Import the Provider
import App from './App';
import store from './redux/store'; // Import your Redux store
import 'typeface-montserrat';
import 'typeface-roboto';
import 'bootstrap/dist/css/bootstrap.min.css';
import './_custom-bootstrap-theme.scss'; // Import the custom Bootstrap theme
import './_custom-styles.scss'; // Import your custom styles
import './App.css'; // Import your app-specific styles
import 'bootstrap-icons/font/bootstrap-icons.css';

const root = createRoot(document.getElementById('root'));
root.render(
  <React.StrictMode>
    {/* Wrap your App component with the Provider and pass the store */}
    <Provider store={store}>
      <App />
    </Provider>
  </React.StrictMode>
);
