// src/redux/cartReducer.js

const initialState = {
  cartItems: [],
};

const cartReducer = (state = initialState, action) => {
  switch (action.type) {
    case 'ADD_TO_CART':
      const { productId } = action.payload;
      const existingItem = state.cartItems.find((item) => item.productId === productId);

      if (existingItem) {
        return {
          ...state,
          cartItems: state.cartItems.map((item) =>
            item.productId === productId ? { ...item, quantity: item.quantity + 1 } : item
          ),
        };
      } else {
        return {
          ...state,
          cartItems: [...state.cartItems, { productId, quantity: 1 }],
        };
      }

    // Add more cases for other actions if needed

    default:
      return state;
  }
};

export default cartReducer;
