import React, { useContext } from 'react';
import { Row, Col } from 'react-bootstrap';
import UserContext from '../UserContext';
import ResetPassword from '../components/ResetPassword';

export default function Profile() {
  const { user } = useContext(UserContext);

  // Assume that the Profile component should only be rendered when the user is authenticated
  // If this assumption is incorrect, you might need to handle authentication differently

  return (
    <>
      <Row>
        <Col className="p-5 bg-primary text-white">
          <h1 className="my-5">Profile</h1>
          {user && (
            <>
              <h2 className="mt-3">
                {user.firstName} {user.lastName}
              </h2>
              <hr />
              <h4>Contacts</h4>
              <ul>
                <li>
                  Name: {user.firstName} {user.lastName}
                </li>
                <li>Email: {user.email}</li>
                {/* Assuming user.mobileNo is the correct property */}
                <li>Mobile No: {user.mobileNo}</li>
              </ul>
            </>
          )}
        </Col>
      </Row>

      <Row className="pt-4 mt-4">
        <Col>
          <ResetPassword />
        </Col>
      </Row>
    </>
  );
}
